import Vue from 'vue';
import VueRouter from 'vue-router';
import Home from '../views/Home.vue';

Vue.use(VueRouter);
const routes = [
  {
    path: '/login',
    name: 'login',
    component: () => import(/* webpackChunkName: "login" */ '../views/Login.vue'),
    isMenu: false
    // props: { title: '登入' },
  },
  {
    path: '/home',
    name: 'home',
    component: Home,
    isMenu: true,
    icon: 'mdi-home',
    admin: true,
    props: { title: 'Home' }
  },
  {
    path: '*',
    component: () => import(/* webpackChunkName: "login" */ '../views/Login.vue'),
    isMenu: false,
    props: { title: '登入' }
  }
];

const router = new VueRouter({
  mode: 'history',
  routes
});

export default router;
